<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel='stylesheet' type='text/css' media='screen' href='main.css'>
    <script src='main.js'></script>
</head>

<body>
    GOOGLE

    <div id="buttonDiv"></div>


    <script src="https://accounts.google.com/gsi/client" async defer></script>
    <script>

        var url = 'http://localhost:4201/api/login/google';

        
        function handleCredentialResponse(response) {

            // Obtenemos el token de google para realizar las pruebas en postman
            //console.log(response.credential);

            fetch(url, {
                method:'post',
                headers: {'Content-Type': 'application/json'},
                body: JSON.stringify({token: response.credential})
    
            })
            .then(res => res.json())
            .then(data => console.log("Nuestro server", data ))
            .catch(console.log)
            //console.log("Encoded JWT ID token: " + response.credential);
        }
        window.onload = function () {
            google.accounts.id.initialize({
                client_id: "1067689131288-bikinotu0j7a4ni9g76fickrbkjbd1u9.apps.googleusercontent.com",
                callback: handleCredentialResponse
            });

            google.accounts.id.renderButton(
                document.getElementById("buttonDiv"),
                { theme: "outline", size: "large" }  // customization attributes
            );

            google.accounts.id.prompt(); // also display the One Tap dialog
        }
    </script>

</body>

</html>